/***************************************************************************
                          cpalette.h  -  description
                             -------------------
    begin                : Wed Apr 25 2001
    copyright            : (C) 2001 by Franz Schmid
    email                : Franz.Schmid@altmuehlnet.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CPALETTE_H
#define CPALETTE_H

#include <qdockwindow.h>
#include <qlistbox.h>
#include <qpixmap.h>
#include <qrect.h>
#include <qpopupmenu.h>
#include <qfont.h>
#include <qlayout.h>
#include <qtoolbutton.h>
#include "scribusdoc.h"

/**
  *@author Franz Schmid
  */

class Cpalette : public QDockWindow  {
Q_OBJECT
public:
	Cpalette(QWidget* parent);
	~Cpalette();
	
	QListBox *ListBox1;
	QToolButton *Inhalt;
	QToolButton *Innen;
	QToolButton *PM1;
	QPopupMenu *ShaMenu;
	int Mode;
	QString sFarbe;
	CListe Farbliste;
	bool Sichtbar;
	
public slots:
	void Verbergen(bool vis);
	void InhaltButton();
	void InnenButton();
	void SetColors(CListe farben);
	void updateCList();
	void updateBoxS(QString Farbe);
	void selFarbe(QListBoxItem *c);
	void setActFarben(QString p, QString b, int shp, int shb);
	int SetMen(int c);
	void setActShade(int);
	
signals:
	void Schliessen();
	void NewPen(QString);
	void NewBrush(QString);
	void NewPenShade(int);
	void NewBrushShade(int);
	void QueryItem();
	
protected:
    QHBoxLayout* Layout1;
};

#endif
